EDIT - feature request #8139

[Rule] Validate lectotype sources
02/25/2019 02:10 PM - Andreas Mdller

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Validation Framework 1.0

Severity: normal

Description

Lectotypes and some other type status allow an additional source which mentions in which source the lectotypification took place.
This is allowed only for certain type designation status.

We need a validation rule to validate if a type designation has a "lectotype" source but the according status does not allow such a
source.

Related issues:

Related to EDIT - feature request #8017: TypeDesignations need sources additi... Closed
Related to EDIT - bug #8140: Update list of type designation status which all... Closed
Related to EDIT - feature request #8136: Implement sources for type designati... Closed
Related to EDIT - bug #8141: explicitSource as additional attribute for TypeD... New

Associated revisions

Revision ce490fbf - 02/25/2019 08:49 PM - Andreas Miiller
fix #8139 add test for valid lectotype source

Revision 7b1adf5f - 04/15/2019 03:52 PM - Andreas Miiller
fix #8139 add test for valid lectotype source

History

#1 - 02/25/2019 02:11 PM - Andreas Miller

- Related to feature request #8017: TypeDesignations need sources additional to lectotypifcation sources added

#2 - 02/25/2019 02:14 PM - Andreas Miiller
- Target version changed from Validation Framework 1.0 to COM UML 5.5

#3 - 02/25/2019 02:15 PM - Andreas Miiller
- Status changed from New to Resolved

- Priority changed from New to Highest

- % Done changed from 0 to 50

#4 - 02/25/2019 02:31 PM - Andreas Miiller
- Related to bug #8140: Update list of type designation status which allow an explicit source added

#5 - 02/25/2019 02:33 PM - Andreas Miiller

- Related to feature request #8136: Implement sources for type designations in TaxEditor added

#6 - 02/25/2019 02:37 PM - Andreas Miiller
- Related to bug #8141: explicitSource as additional attribute for TypeDesignationStatus added

#7 - 04/05/2019 11:14 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to Validation Framework 1.0
